## org.apache.lucene.index
Class CheckIndex.Status

    java.lang.Object
      org.apache.lucene.index.CheckIndex.Status

Enclosing class:
  CheckIndex

    public static class CheckIndex.Status

extends java.lang.Object

Returned from `CheckIndex.checkIndex()` detailing the health and status of the index.

WARNING: this API is new and experimental and is subject to suddenly change in the next release.

Nested Class Summary
`static class` `CheckIndex.Status.FieldNormStatus` Status from testing field norms.
`static class` `CheckIndex.Status.SegmentInfoStatus` Holds the status of each segment in the index.
`static class` `CheckIndex.Status.StoredFieldStatus` Status from testing stored fields.
`static class` `CheckIndex.Status.TermIndexStatus` Status from testing term index.
`static class` `CheckIndex.Status.TermVectorStatus` Status from testing stored fields.

Field Summary
`boolean` `cantOpenSegments` True if we were unable to open the segments_N file.
`boolean` `clean` True if no problems were found with the index.
`Directory` `dir` Directory index is in.
`boolean` `missingSegments` True if we were unable to locate and load the segments_N file.
`boolean` `missingSegmentVersion` True if we were unable to read the version number from segments_N file.
`int` `numBadSegments` How many bad segments were found.
`int` `numSegments` Number of segments in the index.
`boolean` `partial` True if we checked only specific segments (`CheckIndex.checkIndex(List)`) was called with non-null argument).
`java.lang.String` `segmentFormat` String description of the version of the index.
`java.util.List` `segmentInfos` List of `CheckIndex.Status.SegmentInfoStatus` instances, detailing status of each segment.
`java.util.List` `segmentsChecked` Empty unless you passed specific segments list to check as optional 3rd argument.
`java.lang.String` `segmentsFileName` Name of latest segments_N file in the index.
`boolean` `toolOutOfDate` True if the index was created with a newer version of Lucene than the CheckIndex tool.
`int` `totLoseDocCount` How many documents will be lost to bad segments.
`java.util.Map` `userData` Holds the userData of the last commit in the index

Constructor Summary
`CheckIndex.Status()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clean

    public boolean clean

  True if no problems were found with the index.

### missingSegments

    public boolean missingSegments

  True if we were unable to locate and load the segments_N file.

### cantOpenSegments

    public boolean cantOpenSegments

  True if we were unable to open the segments_N file.

### missingSegmentVersion

    public boolean missingSegmentVersion

  True if we were unable to read the version number from segments_N file.

### segmentsFileName

    public java.lang.String segmentsFileName

  Name of latest segments_N file in the index.

### numSegments

    public int numSegments

  Number of segments in the index.

### segmentFormat

    public java.lang.String segmentFormat

  String description of the version of the index.

### segmentsChecked

    public java.util.List segmentsChecked

  Empty unless you passed specific segments list to check as optional 3rd argument.

  See Also:
    `CheckIndex.checkIndex(List)`

### toolOutOfDate

    public boolean toolOutOfDate

  True if the index was created with a newer version of Lucene than the CheckIndex tool.

### segmentInfos

    public java.util.List segmentInfos

  List of `CheckIndex.Status.SegmentInfoStatus` instances, detailing status of each segment.

### dir

    public Directory dir

  Directory index is in.

### totLoseDocCount

    public int totLoseDocCount

  How many documents will be lost to bad segments.

### numBadSegments

    public int numBadSegments

  How many bad segments were found.

### partial

    public boolean partial

  True if we checked only specific segments (`CheckIndex.checkIndex(List)`) was called with non-null argument).

### userData

    public java.util.Map userData

  Holds the userData of the last commit in the index

Constructor Detail

### CheckIndex.Status

    public CheckIndex.Status()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.